Show compatibility error if an add-on uses imgICache or imgILoader

VERIFIED FIXED in 2013-01-03

Status

addons.mozilla.org Graveyard
Compatibility Tools
VERIFIED FIXED
5 years ago
2 years ago

People

(Reporter: jorgev, Assigned: basta)

Tracking

unspecified
2013-01-03

Details

(Whiteboard: [fx18])

(Reporter)

Description

5 years ago
As explained in bug 722861, imgICache and imgILoader have been deprecated. We need to flag all instances of these interfaces calls and show an error.

This is a compatibility error, so the add-on should not be upgraded in this case.

Message:

The imgICache and imgILoader interfaces have been deprecated in Firefox 18. You should use imgITools instead. See <LINK> for more information.

Link: https://developer.mozilla.org/en-US/docs/XPCOM_Interface_Reference/imgICache

Affected add-on:

https://addons.mozilla.org/firefox/addon/clear-console/
(Assignee)

Comment 1

5 years ago
Merged:

https://github.com/mozilla/amo-validator/commit/c068bfd5b0ef2e49243c3d16d860de1e4741e787
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED

Comment 2

5 years ago
Validation error says "Gecko 18" and not "Firefox 18" which I think is more appropriate.

verified fixed at https://addons-dev.allizom.org/en-US/developers/upload/a5537f05d08c4412a1c93562c5873443
Status: RESOLVED → VERIFIED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.